All resources All frames

# PostableFrame

The basic frame class for handling the HTTP POST method.

## Inherits

The PostableFrame class inerits from the following classes:

- Resource
- FramedResource
- ResourceFrame
- ProtocolFrame
- HTTPFrame

## Attributes description

The PostableFrame defines the following attributes:

- override
- convert-get

`override`

semantics
  Should this frame override form values when multiple ?
type
  This attribute is an editable BooleanAttribute
default value
  This attribute defaults to false.

`convert-get`

semantics
  Should this frame silently convert GET to POST methods ?
type
  This attribute is an editable BooleanAttribute
default value
  This attribute defaults to true.

Jigsaw Team
$Id: org.w3c.jigsaw.frames.PostableFrame.html,v 1.3 1998/03/27 08:19:22 bmahe Exp $